#ifndef TRACEPRG_H
#define TRACEPRG_H

#include "cb.h"

extern void InitializeTrace(int ClusterMin, int ClusterMax,
							int IterationMin, int IterationMax,
							char* FilenamePrefix, int TraceID);

extern void SetIteration(int Iter);
extern void SetClusterCount(int Count);
extern void SaveTraceData(TRAININGSET* TS, PARTITIONING* PA, CODEBOOK* CB,
						  int PhaseNumber, char* PhaseName);

#endif