#ifndef SWI_FILTER_H
#define SWI_FILTER_H

#include "swi_Internal.h"

extern SWI_ID GlobalOpenFilter;

extern void swiFLInitialize();
extern char* swiFLFilterString(SWI_ID FilterID);
extern char* swiFLDefaultExtension(SWI_ID FilterID);
extern void swiFLDelete(SWI_ID FilterID);
extern void swiFLUse(SWI_ID FilterID);
extern void swiFLUnuse(SWI_ID FilterID);

extern SWI_ID swiFLFindOwnerOfFilterWithString(char* FilterString);
extern int swiFLFindIndexOfFilterString(SWI_ID FilterID, char* FilterString);

#endif