#ifndef SWI_IMAGEVIEW_H
#define SWI_IMAGEVIEW_H

#include "swi_Internal.h"
#include <windows.h>

extern void swiIVInitialize();
extern SWI_ID swiIVParameters();


typedef struct {
	float Left, Bottom, Width, Height;
} DrawArea;


extern void swiDRLineAttributes(swiDrawingCommands* DC, int Color, int Dotted);
extern void swiDRCircleAttributes(swiDrawingCommands* DC,
	int Color, int Filled, int Radius, int Absolute);
extern void swiDRDraw(swiDrawingCommands* DC, HDC DeviceContext, DrawArea* SS,
	int Height);


extern HWND swiIVCreate(int Width, int Height);
extern void swiIVDestroy(HWND ImageViewWindow);
extern int swiIVAdd(HWND ImageViewWindow, SWI_ID DataSetID);
extern int swiIVDefined();

#endif