#ifndef SWI_INTERNAL_H
#define SWI_INTERNAL_H


typedef enum {
	DATA_CLASS = 1,
	DATA_SET,
	FILTER,
	PARAMETER_SET,
	PROCESS_CLASS,
	PROCESS,
	OUTPUT_FLOW,
	OWNED_WINDOW,
	PROCESS_TYPE,
	REQUIREMENT,
	LAST_TYPE
	} SWIDataTypes;

#include "swi.h"
#include <windows.h>
#include "swi_MessageBoxes.h"
#include "swi_Application.h"
#include "swi_Messages.h"

extern char* AppendString(char* Begin, char* End);
extern char* swiFilename(char* FullFilename);
extern SWI_ID swiBestFittingProcessClass(SWI_ID Original, int Source);
extern int swiExtension(char* Filename, char* Extension);

#endif