/********************************************************************

	swi_MessageBoxes.c

	Ismo Krkkinen

	Last changed 12.11.1999

********************************************************************/

#include "swi_Application.h"

void swiInformationMessageBox(char* Message) {
	MessageBox(swiMainWindowHandle(), Message, swiApplicationTitle(),
		MB_OK | MB_TASKMODAL | MB_ICONINFORMATION);
}

void swiWarningMessageBox(char* Message) {
	MessageBox(swiMainWindowHandle(), Message, swiApplicationTitle(),
		MB_OK | MB_TASKMODAL | MB_ICONWARNING);
}

void swiErrorMessageBox(char* Message) {
	MessageBox(swiMainWindowHandle(), Message, swiApplicationTitle(),
		MB_OK | MB_TASKMODAL | MB_ICONERROR);
}

int swiQuestionMessageBox(char* Message, int YesIsDefault) {
	if (YesIsDefault) return IDYES ==
		MessageBox(swiMainWindowHandle(), Message, swiApplicationTitle(),
			MB_YESNO | MB_DEFBUTTON1 | MB_TASKMODAL | MB_ICONQUESTION);
	else return IDYES ==
		MessageBox(swiMainWindowHandle(), Message, swiApplicationTitle(),
			MB_YESNO | MB_DEFBUTTON2 | MB_TASKMODAL | MB_ICONQUESTION);
}
