#ifndef SWI_PARAMETERS_H
#define SWI_PARAMETERS_H

#include "swi_Internal.h"


extern int swiFPSGetFirst();
extern int swiFPSGetLast();
extern char* swiFPSGetDocumentString(int Option);
extern int swiFPSGetType(int Option);
extern int swiFPSGetValue(int Option);
extern void swiFPSSetValue(int Option, int Value);
extern int swiFPSGetMaxValue(int Option);
extern int swiFPSGetMinValue(int Option);
extern int swiFPSGetDefaultValue(int Option);
extern char* swiFPSGetEnumValueName(int Option, int Value);
extern char* swiFPSValueAsString(int Option, int Value);

extern void swiPSCopyOver(SWI_ID FromID, SWI_ID ToID);
extern SWI_ID swiPSCopy(SWI_ID ParameterSetID);
extern void swiPSDelete(SWI_ID ParameterSetID);
extern int swiPSIsMember(SWI_ID ParameterSetID, int Parameter);
extern int swiPSValue(SWI_ID ParameterSetID, int Parameter);
extern void swiPSSetValue(SWI_ID ParameterSetID, int Parameter, int Value);
extern void swiPSSetDefaults(SWI_ID ParameterSetID);
extern void swiPSModifyFullSet(SWI_ID ParameterSetID);
extern int swiPSExists(SWI_ID ParameterSetID);

extern int swiChangeOption(SWI_ID ParameterSetID, int Selected, HWND Parent);
extern void swiOptionsDialog(SWI_ID ParameterSetID, HWND Parent);

#endif