/********************************************************************

	swi_WindowsText.c

	Ismo Krkkinen

	Last changed 13.11.1999

********************************************************************/

#include "swi_WindowsText.h"
#include <string.h>
#include <stdlib.h>

HFONT swiWTStockFont(int Fixed) {
	if (Fixed) return GetStockObject(ANSI_FIXED_FONT);
	else return GetStockObject(ANSI_VAR_FONT);
}

void swiWTAttachFont(HDC DeviceContext, HFONT Font) {
	SelectObject(DeviceContext, Font);
}

void swiWTExtent(HDC DeviceContext, char* Text, int* Height, int* Width) {
	RECT Dimensions;
	int H;
	Dimensions.top = Dimensions.left = 0;
	H = DrawText(DeviceContext, Text, strlen(Text), &Dimensions,
		DT_CALCRECT | DT_EXPANDTABS | DT_EXTERNALLEADING | DT_LEFT 
		| DT_NOPREFIX | DT_SINGLELINE | DT_TOP | DT_NOCLIP);
	if (Height) *Height = H;
	if (Width) *Width = Dimensions.right;
}

void swiWTText(HDC DeviceContext, char* Text,
	int Row, int Column, int Height, int Width)
{
	RECT Area;
	Area.left = -Column;
	Area.right = Width;
	Area.top = Row;
	Area.bottom = Row + Height;
	DrawText(DeviceContext, Text, strlen(Text), &Area, DT_EXPANDTABS
		| DT_LEFT | DT_NOPREFIX | DT_SINGLELINE | DT_TOP);
}
