#ifndef SWIS_CB_H
#define SWIS_CB_H

#include "swi.h"
#include "cb.h"

#define SWIS_CB_BUFFER_LENGTH 128


/* keep CODEBOOK the first member */
typedef struct {
	CODEBOOK CB;
/*	int ImageCount;
	unsigned char* ImageData;
	int ImageX, ImageY;*/
	int TextCount;
	char Buffer[SWIS_CB_BUFFER_LENGTH];
	char* LastLine;
	char Format[6];
	int LineLength;
} swiCODEBOOK;

extern swiCODEBOOK* new_swiCODEBOOK();
extern void delete_swiCODEBOOK(swiCODEBOOK* sCB);

extern SWI_ID swisCreateCodebookClass();
extern SWI_ID swisCreateTrainingSetClass();

/* keep PARTITIONING the first member */
typedef struct {
	PARTITIONING PA;
	TRAININGSET* TS;
	SWI_ID TS_ID;
} swiPARTITIONING;

extern void SetswiPARTITIONING_TS_ID(swiPARTITIONING* P, SWI_ID NewTS_ID);
extern swiPARTITIONING* new_swiPARTITIONING(SWI_ID TS_ID);
extern void delete_swiPARTITIONING(swiPARTITIONING* P);

extern SWI_ID swisCreatePartitioningClass();

/* Keep Graph* the first member. */
typedef struct {
	Graph* G;
	char* Line;
	int LineLength;
} swiGRAPH;

extern swiGRAPH* new_swiGRAPH();
extern void delete_swiGRAPH(swiGRAPH* G);

extern SWI_ID swisCreateGraphClass();


#endif