#ifndef SWI_APPLICATION_H
#define SWI_APPLICATION_H

#include <windows.h>
#include <commctrl.h>

extern HWND swiParentWindowHandle();
extern HWND swiMainWindowHandle();
extern char* swiApplicationTitle();
extern char* swiApplicationInfo();
extern char* swiInternalInfo();
extern char* swiHelpFilename();

extern void swiSetAppIcon(HICON Icon);
extern HICON swiAppIcon();

extern void swiInitializeImageLists(HIMAGELIST Large, HIMAGELIST Small);
extern HIMAGELIST swiLargeImageList();
extern HIMAGELIST swiSmallImageList();

/* return 0 if parameters not good */

extern void swiInitializeParentWindowHandle(HWND ParentWindowHandle);
extern void swiInitializeMainWindowHandle(HWND MainWindowHandle);
extern int swiInitializeApplicationData(char* ApplicationTitle,
	char* ApplicationInfo, char* HelpFilename);
extern void swiClearApplicationData();
extern int swiMessageLoopEntered();

#endif
