/*******************************************************************

	swi_Boolean.c

	Ismo Krkkinen

	Last changed 12.11.1999

*******************************************************************/

#include "swi_Boolean.h"
#include "swi_BooleanSymbols.h"
#include <windows.h>
#include "swi_ProcessAndOptions.h"
#include "swi_Parameters.h"

static int OriginalValue;
static char* Description;

BOOL APIENTRY BooleanDialogProcedure(HWND Handle, UINT Message,
	WPARAM wParam, LPARAM lParam)
{
	switch (Message) {
	case WM_INITDIALOG:
		SendDlgItemMessage(Handle, SWI_BOOLEAN_CHECKBOX, BM_SETCHECK,
			OriginalValue, 0);
		SetWindowText(
			GetDlgItem(Handle, SWI_BOOLEAN_CHECKBOX), Description);
		return TRUE;
	case WM_COMMAND:
		if (HIWORD(wParam) == BN_CLICKED) {
			if (LOWORD(wParam) == IDOK) {
				EndDialog(Handle, SendDlgItemMessage(Handle,
					SWI_BOOLEAN_CHECKBOX, BM_GETCHECK, 0, 0));
				return TRUE;
			} else if (LOWORD(wParam) == IDCANCEL) {
				EndDialog(Handle, OriginalValue);
				return TRUE;
			}
		}
		break;
	}
	return FALSE;
}

int swiGetBooleanValue(int Option, int OldValue, HWND Parent) {
	Description = swiFPSGetDocumentString(Option);
	OriginalValue = OldValue;
	return DialogBox(GetModuleHandle(0), "swiDialogBoolean",
		Parent, &BooleanDialogProcedure);
}
