/********************************************************************

	swi_DrawAndDrop.c

	Ismo Krkkinen

	Last changed 12.11.1999

********************************************************************/

#include "swi_DragAndDrop.h"
#include "resource.h"

static int Status = 0;
static HCURSOR DragCursor = 0;
static HCURSOR MainCursor = 0;

void swiDDInitialize() {
	DragCursor = 
		LoadCursor(GetModuleHandle(0), MAKEINTRESOURCE(SWI_CURSOR_DRAG));
}

void swiDDBegin() {
	Status = 1;
	SetCapture(swiMainWindowHandle());
	MainCursor = GetCursor();
	SetCursor(DragCursor);
}

void swiDDEnd() {
	if (Status) {
		ReleaseCapture();
		SetCursor(MainCursor);
		Status = 0;
	}
}

int swiDDDragging() {
	return Status;
}

