#ifndef SWI_SELECTEDDATA_H
#define SWI_SELECTEDDATA_H

#include "swi_Internal.h"
#include <windows.h>

typedef enum {
	SWI_SELECTED_INPUT = 0,
	SWI_SELECTED_OUTPUT,
	SWI_SELECTED_MAIN,
	SWI_SELECTED_ACTIVE,
	SWI_SELECTED_DRAG_SOURCE,
	SWI_SELECTED_DRAG_TARGET,
	SWI_SELECTED_LAST_DONT_USE
} swiSelectionSources;


extern void swiSDInitialize();
extern void swiSDSetSource(int SelectionSource, HWND Window);
extern HWND swiSDGetSource(int SelectionSource);
extern int swiSDSets(int Source, SWI_ID RequirementID, int Count, SWI_ID* Table);
extern int swiSDSimilarSelected(int Source, SWI_ID RequirementID);
extern char* swiSDListNames(int Source);
extern int swiSDRemoveSets(int Source, SWI_ID** pIDs);
extern int swiSDSelectedCount(int Source);
extern int swiSDCount(int Source);
extern void swiSDMoveSelected(int Source, int XOffset, int YOffset);
extern int swiSDAllSets(int Source, SWI_ID RequirementID, int Count, SWI_ID* Table);
extern int swiSDSimilarContents(int Source, SWI_ID RequirementID);

#endif